
package com.tmerclub.cloud.api.coupon.vo;

import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;

/**
 * 用户优惠券统计数据
 * @author: cl
 * @date: 2021-04-12 16:12
 */
public class CouponUserCountDataVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "未使用 优惠券的数量")
    private Integer couponUsableNums;

    @Schema(description = "已使用 优惠券的数量")
    private Integer couponUsedNums;

    @Schema(description = "已过期 优惠券的数量")
    private Integer couponExpiredNums;

    public CouponUserCountDataVO() {
        this.couponUsableNums = 0;
        this.couponUsedNums = 0;
        this.couponExpiredNums = 0;
    }

    public Integer getCouponUsableNums() {
        return couponUsableNums;
    }

    public void setCouponUsableNums(Integer couponUsableNums) {
        this.couponUsableNums = couponUsableNums;
    }

    public Integer getCouponUsedNums() {
        return couponUsedNums;
    }

    public void setCouponUsedNums(Integer couponUsedNums) {
        this.couponUsedNums = couponUsedNums;
    }

    public Integer getCouponExpiredNums() {
        return couponExpiredNums;
    }

    public void setCouponExpiredNums(Integer couponExpiredNums) {
        this.couponExpiredNums = couponExpiredNums;
    }

    @Override
    public String toString() {
        return "CouponUserCountDataVO{" +
                "couponUsableNums=" + couponUsableNums +
                ", couponUsedNums=" + couponUsedNums +
                ", couponExpiredNums=" + couponExpiredNums +
                '}';
    }
}
